summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-servers/tomcat/files')
-rw-r--r--www-servers/tomcat/files/7/build-xml.patch149
-rw-r--r--www-servers/tomcat/files/7/examples-cal.patch11
-rw-r--r--www-servers/tomcat/files/7/tomcat.conf79
-rw-r--r--www-servers/tomcat/files/7/tomcat.init108
4 files changed, 347 insertions, 0 deletions
diff --git a/www-servers/tomcat/files/7/build-xml.patch b/www-servers/tomcat/files/7/build-xml.patch
new file mode 100644
index 000000000000..637f08ae8a0b
--- /dev/null
+++ b/www-servers/tomcat/files/7/build-xml.patch
@@ -0,0 +1,149 @@
+diff -Naur apache-tomcat-7.0.5-src_orig/build.xml apache-tomcat-7.0.5-src/build.xml
+--- apache-tomcat-7.0.5-src_orig/build.xml 2010-12-06 17:20:48.777166339 -0500
++++ apache-tomcat-7.0.5-src/build.xml 2010-12-06 17:58:10.529303918 -0500
+@@ -38,9 +38,9 @@
+ <!-- Version numbers -->
+ <property name="version.major" value="7" />
+ <property name="version.minor" value="0" />
+- <property name="version.build" value="0" />
++ <property name="version.build" value="5" />
+ <property name="version.patch" value="0" />
+- <property name="version.suffix" value="-dev" />
++ <property name="version.suffix" value="-gentoo" />
+
+ <property name="version" value="${version.major}.${version.minor}.${version.build}${version.suffix}" />
+ <property name="version.number" value="${version.major}.${version.minor}.${version.build}.${version.patch}" />
+@@ -149,6 +149,7 @@
+
+ <!-- Classpaths -->
+ <path id="compile.classpath">
++ <pathelement location="${ant.jar}"/>
+ <pathelement location="${jdt.jar}"/>
+ </path>
+
+@@ -291,6 +292,7 @@
+ <exclude name="org/apache/catalina/mbeans/JmxRemote*" />
+ <exclude name="org/apache/catalina/tribes/**" />
+ <exclude name="org/apache/naming/factory/webservices/**" />
++ <exclude name="javax/servlet/**" />
+ </patternset>
+
+ <patternset id="files.catalina-tribes">
+@@ -420,7 +422,7 @@
+
+ </target>
+
+- <target name="validate" depends="download-validate" if="${execute.validate}">
++ <target name="validate" if="${execute.validate}">
+ <taskdef resource="checkstyletask.properties"
+ classpath="${checkstyle.jar}" />
+ <checkstyle config="checkstyle.xml">
+@@ -437,7 +439,7 @@
+ </checkstyle>
+ </target>
+
+- <target name="compile" depends="build-prepare,download-compile,validate">
++ <target name="compile" depends="build-prepare,validate">
+
+ <!-- Compile internal server components -->
+ <javac srcdir="java" destdir="${tomcat.classes}"
+@@ -498,7 +500,7 @@
+ filesId="files.annotations-api"
+ manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+
+- <!-- Servlet 3.0 Implementation JAR File -->
++<!-- Servlet 3.0 Implementation JAR File
+ <jarIt jarfile="${servlet-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.servlet-api"
+@@ -506,7 +508,7 @@
+ notice="${tomcat.manifests}/servlet-api.jar.notice"
+ license="${tomcat.manifests}/servlet-api.jar.license" />
+
+- <!-- JSP 2.2 Implementation JAR File -->
++ JSP 2.2 Implementation JAR File
+ <jarIt jarfile="${jsp-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.jsp-api"
+@@ -514,12 +516,12 @@
+ notice="${tomcat.manifests}/jsp-api.jar.notice"
+ license="${tomcat.manifests}/jsp-api.jar.license" />
+
+- <!-- JSP 2.2 EL Implementation JAR File -->
++ JSP 2.2 EL Implementation JAR File
+ <jarIt jarfile="${el-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.el-api"
+ manifest="${tomcat.manifests}/el-api.jar.manifest" />
+-
++-->
+ <!-- Bootstrap JAR File -->
+ <jarIt jarfile="${bootstrap.jar}"
+ filesDir="${tomcat.classes}"
+@@ -610,7 +612,7 @@
+
+ </target>
+
+- <target name="build-docs" description="Builds all documentation from XML sources">
++ <target name="build-docs" unless="nobuild.docs" description="Builds all documentation from XML sources">
+
+ <copy todir="${tomcat.build}/webapps">
+ <fileset dir="webapps">
+@@ -718,14 +720,14 @@
+
+ <target name="deploy" depends="package,build-docs"
+ description="Default. Builds a working Tomcat instance">
+-
++<!--
+ <copy tofile="${tomcat.build}/bin/tomcat-native.tar.gz"
+ file="${tomcat-native.tar.gz}" />
+ <copy tofile="${tomcat.build}/bin/commons-daemon-native.tar.gz"
+ file="${commons-daemon.native.src.tgz}" />
+
+ <copy tofile="${tomcat.build}/bin/commons-daemon.jar" file="${commons-daemon.jar}" />
+-
++-->
+ <!-- Copy scripts -->
+ <copy todir="${tomcat.build}/bin">
+ <fileset dir="bin">
+@@ -782,7 +784,7 @@
+ source="${compile.source}"
+ target="${compile.target}"
+ optimize="${compile.optimize}"
+- classpath="${tomcat.classes}"
++ classpath="${tomcat.classes}:${jsp-api.jar}"
+ excludes="**/CVS/**,**/.svn/**"
+ encoding="ISO-8859-1"
+ includeantruntime="false">
+@@ -794,7 +796,7 @@
+ source="${compile.source}"
+ target="${compile.target}"
+ optimize="${compile.optimize}"
+- classpath="$tomcat.lcasses}"
++ classpath="${tomcat.classes}:${jsp-api.jar}"
+ excludes="**/CVS/**,**/.svn/**"
+ encoding="ISO-8859-1"
+ includeantruntime="false">
+@@ -802,11 +804,11 @@
+
+ <!-- Add sources for examples -->
+ <antcall target="examples-sources" />
+-
++<!--
+ <copy file="${tomcat-dbcp.jar}" todir="${tomcat.build}/lib"
+ failonerror="false"/>
+ <copy file="${jdt.jar}" todir="${tomcat.build}/lib" />
+-
++-->
+ </target>
+
+ <target name="examples-sources" description="Create examples sources"
+@@ -946,7 +948,7 @@
+ description="Creates the experimental embedded release"
+ depends="embed,embed-sources,embed-extras" />
+
+- <target name="test-compile" depends="compile,download-test-compile" >
++ <target name="test-compile" depends="compile" >
+ <mkdir dir="${test.classes}"/>
+ <!-- Compile -->
+ <javac srcdir="test" destdir="${test.classes}"
diff --git a/www-servers/tomcat/files/7/examples-cal.patch b/www-servers/tomcat/files/7/examples-cal.patch
new file mode 100644
index 000000000000..b8acde4f8791
--- /dev/null
+++ b/www-servers/tomcat/files/7/examples-cal.patch
@@ -0,0 +1,11 @@
+--- webapps/examples/jsp/cal/cal2.jsp 2008-07-21 17:01:28.000000000 -0700
++++ webapps/examples/jsp/cal/cal2-new.jsp 2009-03-06 08:22:39.000000000 -0800
+@@ -35,7 +35,7 @@
+ <FORM METHOD=POST ACTION=cal1.jsp>
+ <BR>
+ <BR> <INPUT NAME="date" TYPE=HIDDEN VALUE="current">
+-<BR> <INPUT NAME="time" TYPE=HIDDEN VALUE=<%= util.HTMLFilter.filter(time) %>
++<BR> <INPUT NAME="time" TYPE=HIDDEN VALUE="<%= util.HTMLFilter.filter(time) %>">
+ <BR> <h2> Description of the event <INPUT NAME="description" TYPE=TEXT SIZE=20> </h2>
+ <BR> <INPUT TYPE=SUBMIT VALUE="submit">
+ </FORM>
diff --git a/www-servers/tomcat/files/7/tomcat.conf b/www-servers/tomcat/files/7/tomcat.conf
new file mode 100644
index 000000000000..ad45eae1e3c5
--- /dev/null
+++ b/www-servers/tomcat/files/7/tomcat.conf
@@ -0,0 +1,79 @@
+# $Header: /var/cvsroot/gentoo-x86/www-servers/tomcat/files/7/tomcat.conf,v 1.1 2010/12/21 09:13:39 ali_bush Exp $
+
+# JVM Runtime
+# Using the default setting, it will determine your JVM from the system-vm
+# set using java-config.
+# See java-config(1) manual page for assistance in determining this value.
+#
+# You can override this value with whatever path you wish.
+# Example: export GENTOO_VM="sun-jdk-1.6"
+
+#export GENTOO_VM="sun-jdk-1.6"
+
+# (Optional) Java runtime options used when the "start", "stop", or "run"
+# commands are executed.
+# Example to set library path for tomcat-native
+# JAVA_OPTS="-Djava.library.path=/usr/lib"
+# JAVA_OPTS=""
+
+# Where your web applications are located
+CATALINA_HOME=/usr/share/tomcat-7/
+CATALINA_BASE=/var/lib/tomcat-7/
+
+# Tomcat's User/Group
+# Change these at your own risk!!! These are not supported so if it
+# breaks something, you are on your own.
+CATALINA_USER=tomcat
+CATALINA_GROUP=tomcat
+
+# Location of the Tomcat JARs and classes
+CATALINA_LIBDIR=/usr/share/tomcat-7/lib/
+
+# The CLASSPATH for Tomcat to use, plus any others you need.
+CLASSPATH=${CATALINA_LIBDIR}
+
+# (Optional) Directory path location of temporary directory the JVM should
+# use (java.io.tmpdir). Defaults to $CATALINA_BASE/temp.
+# Note: This directory must exist and be read/writable by tomcat.
+# See #246362 as an example where /var/tmp was deleted on shutdown.
+CATALINA_TMPDIR="/var/tmp/tomcat-7/"
+
+# TOMCAT STARTUP/SHUTDOWN
+# debug Start Catalina in a debugger
+# -security debug Debug Catalina with a security manager
+# jpda start Start Catalina under JPDA debugger
+# start Start Catalina in a separate window
+# -security start Start in a separate window with security manager
+# stop Stop Catalina"
+#
+# NOTE: -security requires JSSE (see below)
+# NOTE: jpda requires JPDA (see below)
+TOMCAT_START="start"
+TOMCAT_STOP="stop"
+
+# (Optional) Java runtime options used when the "start", "stop", or "run"
+# commands are executed.
+# CATALINA_OPTS=""
+
+# Java Platform Debugger Architecture (JPDA)
+# http://java.sun.com/products/jpda/
+# Included with Java SDK 1.3 and later. No need to specify location.
+#
+# JPDA_TRANSPORT (Optional) JPDA transport used when the "jpda start"
+# command is executed. The default is "dt_socket".
+#
+# JPDA_ADDRESS (Optional) Java runtime options used when the "jpda start"
+# command is executed. The default is 8000.
+#
+# JPDA_TRANSPORT="dt_socket"
+# JPDA_ADDRESS="8000"
+
+# Java Secure Socket Extension (JSSE)
+# http://java.sun.com/products/jsse/
+# Included with Java SDK 1.4 and later.
+#
+# JSSE_HOME (Optional) May point at your Java Secure Sockets Extension
+# (JSSE) installation, whose JAR files will be added to the
+# system class path used to start Tomcat.
+#
+# JSSE_HOME="/opt/sun-jdk-1.5.0.09/jre/lib/"
diff --git a/www-servers/tomcat/files/7/tomcat.init b/www-servers/tomcat/files/7/tomcat.init
new file mode 100644
index 000000000000..9a8f4bba0e00
--- /dev/null
+++ b/www-servers/tomcat/files/7/tomcat.init
@@ -0,0 +1,108 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/tomcat/files/7/tomcat.init,v 1.1 2010/12/21 09:13:39 ali_bush Exp $
+
+opts="${opts} forcestop"
+
+init_env_vars() {
+ # Populate JAVA_HOME
+ JAVA_HOME=`java-config --jre-home`
+
+ # Set some sane defaults
+ if [ -z "${CATALINA_TMPDIR}" ] ; then
+ CATALINA_TMPDIR="${CATALINA_BASE}"/temp
+ fi
+ JPDA_TRANSPORT=${JPDA_TRANSPORT:="dt_socket"}
+ JPDA_ADDRESS=${JPDA_ADDRESS:="8000"}
+ JPDA_OPTS=${JPDA_OPTS="-Xdebug -Xrunjdwp:transport=${JPDA_TRANSPORT},address=${JPDA_ADDRESS},server=y,suspend=n"}
+
+ # Activate Logging
+ if [ -r "${CATALINA_HOME}"/bin/tomcat-juli.jar ]; then
+ JAVA_OPTS="${JAVA_OPTS} -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager \
+ -Djava.util.logging.config.file=${CATALINA_BASE}/conf/logging.properties"
+ fi
+
+ # Populate the classpath
+ unset CLASSPATH
+ CLASSPATH="${CATALINA_HOME}/lib:${JAVA_HOME}/lib/tools.jar"
+ if [ -n "${JSSE_HOME}" ]; then
+ CLASSPATH="${CLASSPATH}:${JSSE_HOME}/lib/jcert.jar:${JSSE_HOME}/lib/jnet.jar:${JSSE_HOME}/lib/jsse.jar"
+ fi
+ CLASSPATH="${CLASSPATH}:${CATALINA_HOME}/bin/bootstrap.jar:${CATALINA_HOME}/bin/tomcat-juli.jar"
+
+ OPTS_CP="${JAVA_OPTS} ${CATALINA_OPTS} -classpath ${CLASSPATH}"
+
+ CATALINA_ARGS="-Dcatalina.base=${CATALINA_BASE} \
+ -Dcatalina.home=${CATALINA_HOME} \
+ -Djava.io.tmpdir=${CATALINA_TMPDIR} \
+ org.apache.catalina.startup.Bootstrap "
+}
+
+ssd() {
+ local exec=${1}
+ shift
+ start-stop-daemon --start --quiet --background \
+ --chdir "${CATALINA_TMPDIR}" \
+ --chuid ${CATALINA_USER}:${CATALINA_GROUP} \
+ --make-pidfile --pidfile /var/run/tomcat-7.pid \
+ --exec ${exec} -- ${OPTS_CP} "$@" ${CATALINA_ARGS} ${TOMCAT_START}
+ return $?
+}
+
+depend() {
+ use dns logger net
+}
+
+start() {
+ ebegin "Starting Tomcat"
+ init_env_vars
+
+ if [ ! -e "${CATALINA_TMPDIR}" ]; then
+ eerror "CATALINA_TMPDIR does not exist. Unable to start tomcat."
+ eerror "Please see /etc/conf.d/tomcat-7 for more information."
+ eend 1
+ fi
+
+ # Figure out what args to pass start_helper based on TOMCAT_START
+ if [ "${TOMCAT_START}" = "debug" ] ; then
+ ssd ${JAVA_HOME}/bin/jdb \
+ -sourcepath ${CATALINA_HOME}/../../jakarta-tomcat-catalina/catalina/src/share
+ elif [ "${TOMCAT_START}" = "-security debug" ] ; then
+ ssd ${JAVA_HOME}/bin/jdb \
+ -sourcepath ${CATALINA_HOME}/../../jakarta-tomcat-catalina/catalina/src/share \
+ -Djava.security.manager \
+ -Djava.security.policy=${CATALINA_BASE}/conf/catalina.policy
+ elif [ "${TOMCAT_START}" = "jpda start" ] ; then
+ ssd ${JAVA_HOME}/bin/java ${JPDA_OPTS}
+ elif [ "${TOMCAT_START}" = "start" ] ; then
+ ssd ${JAVA_HOME}/bin/java
+ elif [ "${TOMCAT_START}" = "-security start" ] ; then
+ ssd ${JAVA_HOME}/bin/java \
+ -Djava.security.manager \
+ -Djava.security.policy=${CATALINA_BASE}/conf/catalina.policy
+ else
+ eerror "Invalid TOMCAT_START variable value, or one is not set"
+ eerror "Please see /etc/conf.d/tomcat-7 for more information"
+ eend 1
+ fi
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Tomcat"
+ init_env_vars
+ start-stop-daemon --stop --quiet --retry=60 \
+ --pidfile /var/run/tomcat-7.pid \
+ --exec ${JAVA_HOME}/bin/java -- ${OPTS_CP} ${CATALINA_args} stop ${STD_OUT}
+ eend $?
+}
+forcestop() {
+ ebegin "Forcing Tomcat to Stop"
+ start-stop-daemon --stop --quiet --retry=60 \
+ --pidfile /var/run/tomcat-7.pid --signal=9
+ if service_started "${SVCNAME}"; then
+ mark_service_stopped "${SVCNAME}"
+ fi
+ eend $?
+}